//   RW Meido
// ==============
// Household Domestics: Cooking, Cleaning, &tc. Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/meido/meido.hpp
// -Definitions of the baseline RW Meido library

#include "incls_all.hpp"

namespace rw::meido {

//------------------------------------------------------------------------------
Meido_b::Meido_b() : Meido_b{"meido_b_obj"} {}

//------------------------------------------------------------------------------
Meido_b::Meido_b(std::string const& handle) : RW{handle, Type::Meido} {
  stamp("Meido_b()");
}

//------------------------------------------------------------------------------
Meido::Meido() : Meido{"meido_obj"} {}

//------------------------------------------------------------------------------
Meido::Meido(std::string const& handle) : Meido_b{handle} {
  stamp("Meido()");
}

}  // namespace rw::meido

//    --=^=--

// "______"

// rw_meido_lib.v220122
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
