//   RW Sysutils
// ================
// ______
// -The RW Foundational Libraries

// Filename: ./src/rw/util/utility.cpp
// -Definitions of some baseline RW Sysutils features

#include "incls_all.hpp"

namespace rw::util {

//------------------------------------------------------------------------------
void to_lower(std::string& in_out) {
  std::transform(
      cbegin(in_out), cend(in_out), begin(in_out),
      [](unsigned char c) -> unsigned char { return std::tolower(c); });
}

//------------------------------------------------------------------------------
auto is_empty(std::basic_stringstream<char>& ss) -> bool {  //

  auto posn = ss.tellp();  // store init posn
  //
  // DESIGN: check for failure here ??
  ss.seekp(0, std::ios_base::end);  // seek to stream's end
  auto chk = (ss.tellp() == 0);     // check if size == 0 ?
  //
  ss.seekp(posn);  // restore init posn

  return chk;
}

//------------------------------------------------------------------------------
auto is_empty(std::basic_fstream<char>& file) -> bool {
  return file.peek() == ifstream::traits_type::eof();
}

//------------------------------------------------------------------------------
auto strmlines_2_vec(std::basic_stringstream<char>& strm)
    -> std::vector<std::string> {  //

  vector<string> res;
  //
  for (string line; getline(strm, line);)
    res.push_back(line);

  return res;
}

// DESIGN: address the code-envy here?

//------------------------------------------------------------------------------
auto strmlines_2_vec(std::basic_fstream<char>& strm)
    -> std::vector<std::string> {  //

  vector<string> res;
  //
  for (string line; getline(strm, line);)
    res.push_back(line);

  return res;
}

}  // namespace rw::util

//    --=^=--

// "So is it true Sempai? Are robowaifus really better than any human woman?"

// rw_foundations_lib.v220122
// Copyright (2022)
// License MIT(Expat) https://opensource.org/licenses/MIT
